From 8218c8f28b0f87f59538ecdfd77df3f70a0c075a Mon Sep 17 00:00:00 2001
From: Charles Plessy <plessy@debian.org>
Date: Sat, 26 Jan 2013 11:40:21 +0900
Subject: [PATCH] man: added hyperlinks to the Debian Policy.

Closes: #698999
Reviewed-by: Jonathan Nieder <jrnieder@gmail.com>

See https://lists.debian.org/debian-devel/2013/01/msg00394.html
---
 man/deb-control.5     |    2 ++
 man/deb-shlibs.5      |    2 ++
 man/deb-src-control.5 |    2 ++
 man/deb-substvars.5   |    2 ++
 man/deb-symbols.5     |    2 ++
 man/dpkg-genchanges.1 |    3 +++
 man/dpkg-gencontrol.1 |    3 +++
 man/dpkg-gensymbols.1 |    2 ++
 8 files changed, 18 insertions(+)

diff --git a/man/deb-control.5 b/man/deb-control.5
index e179ab1..ac023f1 100644
--- a/man/deb-control.5
+++ b/man/deb-control.5
@@ -287,6 +287,8 @@ Description: GNU grep, egrep and fgrep.
 .\" .RE
 .
 .SH SEE ALSO
+.BR http://www.debian.org/doc/debian-policy/ch-controlfields.html#s-binarycontrolfiles
+.br
 .BR deb (5),
 .BR deb\-version (5),
 .BR debtags (1),
diff --git a/man/deb-shlibs.5 b/man/deb-shlibs.5
index a6fa586..6944ed1 100644
--- a/man/deb-shlibs.5
+++ b/man/deb-shlibs.5
@@ -64,6 +64,8 @@ This is not the only reason the dependencies might need to be
 tightened; again, see the Debian Policy Manual for details.
 .
 .SH SEE ALSO
+.BR http://www.debian.org/doc/debian-policy/ch-sharedlibs.html#s-sharedlibs-shlibdeps
+.br
 .BR deb\-control (5),
 .BR dpkg\-shlibdeps (1),
 .BR deb\-symbols (5).
diff --git a/man/deb-src-control.5 b/man/deb-src-control.5
index 17f85b3..884a3d4 100644
--- a/man/deb-src-control.5
+++ b/man/deb-src-control.5
@@ -372,6 +372,8 @@ Description: Debian package development tools
 
 
 .SH SEE ALSO
+.BR http://www.debian.org/doc/debian-policy/ch-controlfields.html#s-sourcecontrolfiles
+.br
 .BR deb\-control (5),
 .BR deb\-version (5),
 .BR dpkg\-source (1)
diff --git a/man/deb-substvars.5 b/man/deb-substvars.5
index a8d3640..43b04eb 100644
--- a/man/deb-substvars.5
+++ b/man/deb-substvars.5
@@ -170,6 +170,8 @@ The point at which field overriding occurs compared to certain
 standard output field settings is rather confused.
 
 .SH SEE ALSO
+.BR http://www.debian.org/doc/debian-policy/ch-source.html#s-substvars
+.br
 .BR dpkg (1),
 .BR dpkg\-genchanges (1),
 .BR dpkg\-gencontrol (1),
diff --git a/man/deb-symbols.5 b/man/deb-symbols.5
index 5d9ea0f..1ecdc50 100644
--- a/man/deb-symbols.5
+++ b/man/deb-symbols.5
@@ -77,5 +77,7 @@ libGL.so.1 libgl1
 .SH SEE ALSO
 .BR http://wiki.debian.org/Projects/ImprovedDpkgShlibdeps
 .br
+.BR http://www.debian.org/doc/debian-policy/ch-sharedlibs.html#s-sharedlibs-symbols
+.br
 .BR dpkg\-shlibdeps (1),
 .BR dpkg\-gensymbols (1).
diff --git a/man/dpkg-genchanges.1 b/man/dpkg-genchanges.1
index 885e745..d143dd6 100644
--- a/man/dpkg-genchanges.1
+++ b/man/dpkg-genchanges.1
@@ -163,3 +163,6 @@ prepared.
 reads the data here when producing a
 .B .changes
 file.
+
+.SH SEE ALSO
+.BR http://www.debian.org/doc/debian-policy/ch-controlfields.html#s-debianchangesfiles
diff --git a/man/dpkg-gencontrol.1 b/man/dpkg-gencontrol.1
index 33d53c1..cf9951c 100644
--- a/man/dpkg-gencontrol.1
+++ b/man/dpkg-gencontrol.1
@@ -157,3 +157,6 @@ prepared.
 .B dpkg\-gencontrol
 adds the presumed filenames of binary packages whose control files it
 generates here.
+
+.SH SEE ALSO
+.BR http://www.debian.org/doc/debian-policy/ch-controlfields.html#s-debiansourcecontrolfiles
diff --git a/man/dpkg-gensymbols.1 b/man/dpkg-gensymbols.1
index 088e448..6f7ce97 100644
--- a/man/dpkg-gensymbols.1
+++ b/man/dpkg-gensymbols.1
@@ -474,5 +474,7 @@ Show the version and exit.
 .br
 .BR http://people.redhat.com/drepper/dsohowto.pdf
 .br
+.BR http://www.debian.org/doc/debian-policy/ch-sharedlibs.html#s-sharedlibs-symbols
+.br
 .BR deb\-symbols (5),
 .BR dpkg\-shlibdeps (1).
-- 
1.7.10.4

